Set campaign workflow
curl --request PUT \
--url https://www.agentcallback.com/api/campaigns/{id}/workflow \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"workflow_config": {
"retryOutcomes": [
"CALLEE_DID_NOT_PICKUP",
"VOICE_MAIL"
],
"attempts": [
{
"day": 0,
"startTime": "00:00",
"doubleDial": false
},
{
"day": 1,
"startTime": "16:00",
"doubleDial": true
},
{
"day": 3,
"startTime": "10:00",
"doubleDial": false
}
],
"timezone": "America/Los_Angeles"
}
}
'import requests
url = "https://www.agentcallback.com/api/campaigns/{id}/workflow"
payload = { "workflow_config": {
"retryOutcomes": ["CALLEE_DID_NOT_PICKUP", "VOICE_MAIL"],
"attempts": [
{
"day": 0,
"startTime": "00:00",
"doubleDial": False
},
{
"day": 1,
"startTime": "16:00",
"doubleDial": True
},
{
"day": 3,
"startTime": "10:00",
"doubleDial": False
}
],
"timezone": "America/Los_Angeles"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workflow_config: {
retryOutcomes: ['CALLEE_DID_NOT_PICKUP', 'VOICE_MAIL'],
attempts: [
{day: 0, startTime: '00:00', doubleDial: false},
{day: 1, startTime: '16:00', doubleDial: true},
{day: 3, startTime: '10:00', doubleDial: false}
],
timezone: 'America/Los_Angeles'
}
})
};
fetch('https://www.agentcallback.com/api/campaigns/{id}/workflow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"workflow_config": {
"retryOutcomes": [
"CALLEE_DID_NOT_PICKUP",
"VOICE_MAIL"
],
"attempts": [
{
"day": 0,
"startTime": "00:00",
"doubleDial": false
},
{
"day": 1,
"startTime": "16:00",
"doubleDial": true
},
{
"day": 3,
"startTime": "10:00",
"doubleDial": false
}
],
"timezone": "America/Los_Angeles"
}
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Sets or replaces a campaign’s workflow. Attempts must be in chronological order and follow-up times must fall within the campaign’s working hours. Completed or archived campaigns cannot be changed.
PUT
/
api
/
campaigns
/
{id}
/
workflow
Set campaign workflow
Authorizations
Create and manage API keys in your AgentCallback account under Dashboard > API Keys.
Path Parameters
Campaign identifier
Body
application/json
Workflow configuration.
A chronological, multi-attempt calling sequence for each campaign contact.
Show child attributes
Show child attributes
Example:
{ "retryOutcomes": ["CALLEE_DID_NOT_PICKUP", "VOICE_MAIL"], "attempts": [ { "day": 0, "startTime": "00:00", "doubleDial": false }, { "day": 1, "startTime": "16:00", "doubleDial": true }, { "day": 3, "startTime": "10:00", "doubleDial": false } ], "timezone": "America/Los_Angeles" }
Response
Campaign workflow updated
Example:
true
A chronological, multi-attempt calling sequence for each campaign contact.
Show child attributes
Show child attributes
Example:
{ "retryOutcomes": ["CALLEE_DID_NOT_PICKUP", "VOICE_MAIL"], "attempts": [ { "day": 0, "startTime": "00:00", "doubleDial": false }, { "day": 1, "startTime": "16:00", "doubleDial": true }, { "day": 3, "startTime": "10:00", "doubleDial": false } ], "timezone": "America/Los_Angeles" }
⌘I